package com.iamberry.wechat.core.entity.ism;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Administrator
 * @Date 2019-11-07
 */
public class IntegralConfig  implements  Serializable{
    private static final long serialVersionUID = -3892657843914692767L;
    //积分配置id
    private Integer inteConfId;
    //活动id
    private Integer promotionsId;
    //积分配置名称
    private String inteConfName;
    //积分变动数量
    private String inteConfCalculation;
    //状态 1:使用中 2:未使用
    private Integer inteConfStatus;
    //排序
    private Integer inteConfSort;
    //
    private String inteConfDesc;
    //创建时间
    private Date inteConfCreateTime;
    //修改时间'
    private Date inteConfUpdateTime;

    public Integer getInteConfId(){
        return inteConfId;
    }

    public void setInteConfId(Integer  inteConfId){
        this.inteConfId=inteConfId;
    }

    public String getInteConfName(){
        return inteConfName;
    }

    public void setInteConfName(String  inteConfName){
        this.inteConfName=inteConfName;
    }

    public String getInteConfCalculation(){
        return inteConfCalculation;
    }

    public void setInteConfCalculation(String  inteConfCalculation){
        this.inteConfCalculation=inteConfCalculation;
    }

    public Integer getInteConfStatus(){
        return inteConfStatus;
    }

    public void setInteConfStatus(Integer  inteConfStatus){
        this.inteConfStatus=inteConfStatus;
    }

    public Date getInteConfCreateTime(){
        return inteConfCreateTime;
    }

    public void setInteConfCreateTime(Date  inteConfCreateTime){
        this.inteConfCreateTime=inteConfCreateTime;
    }

    public Date getInteConfUpdateTime(){
        return inteConfUpdateTime;
    }

    public void setInteConfUpdateTime(Date  inteConfUpdateTime){
        this.inteConfUpdateTime=inteConfUpdateTime;
    }

    public Integer getPromotionsId() {
        return promotionsId;
    }

    public void setPromotionsId(Integer promotionsId) {
        this.promotionsId = promotionsId;
    }

    public Integer getInteConfSort() {
        return inteConfSort;
    }

    public void setInteConfSort(Integer inteConfSort) {
        this.inteConfSort = inteConfSort;
    }

    public String getInteConfDesc() {
        return inteConfDesc;
    }

    public void setInteConfDesc(String inteConfDesc) {
        this.inteConfDesc = inteConfDesc;
    }
}